#include "util.h"

int strpos(char *haystack, char *needle) {
	char *p = strstr(haystack, needle);
	if ( p != NULL ) return p - haystack;
	return -1;
}

int countLines(char fileName[]){
	FILE *fp;
	char ch;
	int linesCount = 0;
	fp=fopen(fileName,"r");
	if(fp==NULL) {
		printf("File \"%s\" does not exist!!!\n",fileName);
		return -1;
	}
	//read character by character and check for new line
	while((ch=fgetc(fp))!=EOF) {
		if(ch=='\n')
		linesCount++;
	}
	//close the file
	fclose(fp);
	return linesCount;
}
